summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /gnustep-libs
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'gnustep-libs')
-rw-r--r--gnustep-libs/camerakit/Manifest1
-rw-r--r--gnustep-libs/camerakit/camerakit-0.0.1.20041011-r1.ebuild24
-rw-r--r--gnustep-libs/camerakit/metadata.xml8
-rw-r--r--gnustep-libs/cenonlibrary/Manifest2
-rw-r--r--gnustep-libs/cenonlibrary/cenonlibrary-3.9.4.ebuild26
-rw-r--r--gnustep-libs/cenonlibrary/cenonlibrary-4.0.0.ebuild26
-rw-r--r--gnustep-libs/cenonlibrary/metadata.xml11
-rw-r--r--gnustep-libs/dbuskit/Manifest2
-rw-r--r--gnustep-libs/dbuskit/dbuskit-0.1.1.ebuild31
-rw-r--r--gnustep-libs/dbuskit/dbuskit-0.1.ebuild32
-rw-r--r--gnustep-libs/dbuskit/files/dbuskit-0.1-configure.patch31
-rw-r--r--gnustep-libs/dbuskit/metadata.xml6
-rw-r--r--gnustep-libs/gsldap/Manifest1
-rw-r--r--gnustep-libs/gsldap/gsldap-0.0.1_pre20070219.ebuild23
-rw-r--r--gnustep-libs/gsldap/metadata.xml10
-rw-r--r--gnustep-libs/highlighterkit/Manifest2
-rw-r--r--gnustep-libs/highlighterkit/highlighterkit-0.1.2.ebuild19
-rw-r--r--gnustep-libs/highlighterkit/highlighterkit-0.1.3.ebuild19
-rw-r--r--gnustep-libs/highlighterkit/metadata.xml6
-rw-r--r--gnustep-libs/iconkit/Manifest1
-rw-r--r--gnustep-libs/iconkit/iconkit-0.4.1.ebuild25
-rw-r--r--gnustep-libs/iconkit/metadata.xml8
-rw-r--r--gnustep-libs/metadata.xml33
-rw-r--r--gnustep-libs/netclasses/Manifest1
-rw-r--r--gnustep-libs/netclasses/metadata.xml14
-rw-r--r--gnustep-libs/netclasses/netclasses-1.06-r1.ebuild13
-rw-r--r--gnustep-libs/pantomime/Manifest2
-rw-r--r--gnustep-libs/pantomime/metadata.xml11
-rw-r--r--gnustep-libs/pantomime/pantomime-1.2.0.ebuild36
-rw-r--r--gnustep-libs/pantomime/pantomime-1.2.2.ebuild36
-rw-r--r--gnustep-libs/performance/Manifest1
-rw-r--r--gnustep-libs/performance/metadata.xml6
-rw-r--r--gnustep-libs/performance/performance-0.4.0.ebuild25
-rw-r--r--gnustep-libs/prefsmodule/Manifest1
-rw-r--r--gnustep-libs/prefsmodule/metadata.xml9
-rw-r--r--gnustep-libs/prefsmodule/prefsmodule-1.1.1_pre20061204-r1.ebuild15
-rw-r--r--gnustep-libs/renaissance/Manifest1
-rw-r--r--gnustep-libs/renaissance/files/renaissance-0.8.1_pre20070522-docpath.patch21
-rw-r--r--gnustep-libs/renaissance/metadata.xml26
-rw-r--r--gnustep-libs/renaissance/renaissance-0.9.0.ebuild23
-rw-r--r--gnustep-libs/smbkit/Manifest1
-rw-r--r--gnustep-libs/smbkit/metadata.xml8
-rw-r--r--gnustep-libs/smbkit/smbkit-0.0.1.20061010.ebuild18
-rw-r--r--gnustep-libs/sqlclient/Manifest1
-rw-r--r--gnustep-libs/sqlclient/metadata.xml8
-rw-r--r--gnustep-libs/sqlclient/sqlclient-1.7.0.ebuild46
46 files changed, 670 insertions, 0 deletions
diff --git a/gnustep-libs/camerakit/Manifest b/gnustep-libs/camerakit/Manifest
new file mode 100644
index 00000000000..c7193cc6ead
--- /dev/null
+++ b/gnustep-libs/camerakit/Manifest
@@ -0,0 +1 @@
+DIST CameraKit-20041011.tar.bz2 2424 SHA256 b821d3d6edfb3d991c5d4380f0248904fe23bfb10d54adb4a990ce6206e532af SHA512 f60adfd3460e4d8c96e531019156744fd22d4c6986331701281edd2f57c802ab62578e8e9b907e68b5d72862e01b1cf3dbaa036544bfe6f1941187f83fdb3d4c WHIRLPOOL 73056eb4e0dd8a864c41e2809540ec7fc302b1c1cf631355a27ad189e890fd04cccb52747e85cd5e6d355d9a32085c002acc8bde87f13f0c121a301f9e4e37a8
diff --git a/gnustep-libs/camerakit/camerakit-0.0.1.20041011-r1.ebuild b/gnustep-libs/camerakit/camerakit-0.0.1.20041011-r1.ebuild
new file mode 100644
index 00000000000..1f5695e030d
--- /dev/null
+++ b/gnustep-libs/camerakit/camerakit-0.0.1.20041011-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit gnustep-2
+
+S=${WORKDIR}/${PN/camerak/CameraK}
+
+DESCRIPTION="A simple wrapper to libgphoto2 for GNUstep"
+HOMEPAGE="http://home.gna.org/gsimageapps/"
+SRC_URI="http://download.gna.org/gsimageapps/${PN/camerak/CameraK}-${PV/0.0.1.}.tar.bz2"
+LICENSE="GPL-2"
+KEYWORDS="amd64 ppc x86"
+SLOT="0"
+
+DEPEND=">=media-libs/libgphoto2-2.1.3-r1"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ sed -i "s#/gphoto2#/usr/include/gphoto2#" GNUmakefile || die "sed failed"
+}
diff --git a/gnustep-libs/camerakit/metadata.xml b/gnustep-libs/camerakit/metadata.xml
new file mode 100644
index 00000000000..176741dff10
--- /dev/null
+++ b/gnustep-libs/camerakit/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnustep</herd>
+<longdescription>
+A simple ObjC wrapper around libgphoto2 for GNUstep.
+</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/cenonlibrary/Manifest b/gnustep-libs/cenonlibrary/Manifest
new file mode 100644
index 00000000000..41ab5359c22
--- /dev/null
+++ b/gnustep-libs/cenonlibrary/Manifest
@@ -0,0 +1,2 @@
+DIST CenonLibrary-3.9.4-1.tar.bz2 2058146 SHA256 eecb3c588f65cbe68db902e2c29264904a04b1042f74b598695667cd9aeea761
+DIST CenonLibrary-4.0.0-1.tar.bz2 2131692 SHA256 b329331a4b5b40d93eeeddd98f6922a53401b6e4f437538cd98392f8828cbb44 SHA512 75d1acc2635cb5daee3311d2c54a43abf9d0de7b29997fec86effc4dd3932fe73449c08cda642d1f92adcea9da74cd4732014bb04f7418c1f331701bafe44427 WHIRLPOOL bcfbe87deb051b9b48472914a68a38590cee11b3a67f5b02ca8b13037b59f1389f26b07e202920595293e6288a8c974868b861ac27d30b1f592e7db95ff4b43f
diff --git a/gnustep-libs/cenonlibrary/cenonlibrary-3.9.4.ebuild b/gnustep-libs/cenonlibrary/cenonlibrary-3.9.4.ebuild
new file mode 100644
index 00000000000..bcd5ffae098
--- /dev/null
+++ b/gnustep-libs/cenonlibrary/cenonlibrary-3.9.4.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit gnustep-2
+
+S=${WORKDIR}/Cenon
+
+DESCRIPTION="Default library required to run Cenon"
+HOMEPAGE="http://www.cenon.info/"
+SRC_URI="http://www.vhf-group.com/vhf-interservice/download/source/CenonLibrary-${PV}-1.tar.bz2"
+KEYWORDS="amd64 ppc x86"
+SLOT="0"
+LICENSE="Cenon"
+IUSE=""
+
+src_compile() {
+ echo "nothing to compile"
+}
+
+src_install() {
+ egnustep_env
+ dodir ${GNUSTEP_SYSTEM_LIBRARY}
+ cp -pPR "${S}" "${D}"${GNUSTEP_SYSTEM_LIBRARY}
+}
diff --git a/gnustep-libs/cenonlibrary/cenonlibrary-4.0.0.ebuild b/gnustep-libs/cenonlibrary/cenonlibrary-4.0.0.ebuild
new file mode 100644
index 00000000000..dba6bc567ca
--- /dev/null
+++ b/gnustep-libs/cenonlibrary/cenonlibrary-4.0.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit gnustep-2
+
+S=${WORKDIR}/Cenon
+
+DESCRIPTION="Default library required to run Cenon"
+HOMEPAGE="http://www.cenon.info/"
+SRC_URI="http://www.vhf-group.com/vhf-interservice/download/source/CenonLibrary-${PV}-1.tar.bz2"
+KEYWORDS="amd64 ppc x86"
+SLOT="0"
+LICENSE="Cenon"
+IUSE=""
+
+src_compile() {
+ echo "nothing to compile"
+}
+
+src_install() {
+ egnustep_env
+ dodir ${GNUSTEP_SYSTEM_LIBRARY}
+ cp -pPR "${S}" "${D}"${GNUSTEP_SYSTEM_LIBRARY}
+}
diff --git a/gnustep-libs/cenonlibrary/metadata.xml b/gnustep-libs/cenonlibrary/metadata.xml
new file mode 100644
index 00000000000..73e8b8b06df
--- /dev/null
+++ b/gnustep-libs/cenonlibrary/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnustep</herd>
+ <longdescription>
+ Cenon is a graphical tool of a special kind. Build upon a
+ modular graphical core, Cenon offers a wide variety of
+ possibilities and applications.
+ This package contains the supporting libraries for cenon itself.
+ </longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/dbuskit/Manifest b/gnustep-libs/dbuskit/Manifest
new file mode 100644
index 00000000000..e324cc2985f
--- /dev/null
+++ b/gnustep-libs/dbuskit/Manifest
@@ -0,0 +1,2 @@
+DIST dbuskit-0.1.1.tar.gz 706783 SHA256 3995867173148663cec6d98010b1c23e5fec827ff6b801f1ae6a4e9949b0f7b5 SHA512 1d98a05bda7558ebca80c5a4985009bdcb2f875c25f44872a2ae589793deb2d6d832c91e3eeaed7846980f5921a6a543efd04db3f7b228a0d0bae37cdc5ccfae WHIRLPOOL 5172636a3d64d721cd21022ebf67866d81b9309c81152683bf1285ee66b67f58068b543bab13f7cfbcb08952ffab6c7e7ecd9129ee1ebac950e3c11077751502
+DIST dbuskit-0.1.tar.bz2 430580 SHA256 8a6c7ea00a393f43e8cf0dd2337bc6b58e8f542b42568324f996a2070de3380c SHA512 194e728a31401865b0c2558d7e5992a00abf520a373f203fea7ecc74fdbc4248f6016624c00b1bbd2718b6842d7f08fcea78654289f1e4857914234652378a99 WHIRLPOOL b5faeed275bc007a6fc784c3097884ed1dc2ae7757d889207eb41053bc7617912d7eba56e0f9390c889044088777958c7c34b25c1bf48a4fc61749673fed061b
diff --git a/gnustep-libs/dbuskit/dbuskit-0.1.1.ebuild b/gnustep-libs/dbuskit/dbuskit-0.1.1.ebuild
new file mode 100644
index 00000000000..17a03f3f80d
--- /dev/null
+++ b/gnustep-libs/dbuskit/dbuskit-0.1.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools gnustep-2
+
+DESCRIPTION="framework that interfaces Objective-C applications with the D-Bus IPC service"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="http://download.gna.org/gnustep/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+DEPEND=">=sys-apps/dbus-1.2.1"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if ! use doc; then
+ # Remove doc target
+ sed -i -e "/SUBPROJECTS/s/Documentation//" GNUmakefile \
+ || die "doc sed failed"
+ fi
+
+ # Bug 410697
+ sed -e "s#ObjectiveC2/runtime.h#ObjectiveC2/objc/runtime.h#" \
+ -i configure.ac || die "ObjectiveC2 runtime sed failed"
+ eautoreconf
+}
diff --git a/gnustep-libs/dbuskit/dbuskit-0.1.ebuild b/gnustep-libs/dbuskit/dbuskit-0.1.ebuild
new file mode 100644
index 00000000000..a0698e2e1b0
--- /dev/null
+++ b/gnustep-libs/dbuskit/dbuskit-0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit autotools gnustep-2
+
+DESCRIPTION="framework that interfaces Objective-C applications with the D-Bus IPC service"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="http://download.gna.org/gnustep/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+DEPEND=">=sys-apps/dbus-1.2.1"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-configure.patch
+ # Bug 410697
+ sed -e "s#ObjectiveC2/runtime.h#ObjectiveC2/objc/runtime.h#" \
+ -i configure.ac || die "ObjectiveC2 runtime sed failed"
+ if ! use doc; then
+ # Remove doc target
+ sed -i -e "/SUBPROJECTS/s/Documentation//" GNUmakefile \
+ || die "doc sed failed"
+ fi
+
+ eautoreconf
+}
diff --git a/gnustep-libs/dbuskit/files/dbuskit-0.1-configure.patch b/gnustep-libs/dbuskit/files/dbuskit-0.1-configure.patch
new file mode 100644
index 00000000000..9a25bcef6ad
--- /dev/null
+++ b/gnustep-libs/dbuskit/files/dbuskit-0.1-configure.patch
@@ -0,0 +1,31 @@
+http://svn.gna.org/viewcvs/gnustep?view=revision&revision=34602
+Backport configure script improvements.
+--- libs/dbuskit/branches/0.1/configure.ac 2012/01/20 14:38:55 34601
++++ libs/dbuskit/branches/0.1/configure.ac 2012/01/20 14:39:24 34602
+@@ -4,8 +4,17 @@
+ LT_INIT
+ AC_CONFIG_MACRO_DIR([m4])
+ AC_CANONICAL_SYSTEM
++
++#Override the OBJC variable if it is empty and CC is also set.
++if test -n "$CC"; then
++ if test -z "$OBJC"; then
++ OBJC="$CC"
++ fi
++fi
++
+ AC_PROG_CC(clang gcc cc c1 egcs)
+ AC_PROG_CPP
++AC_PROG_OBJC(clang gcc objcc objc cc CC)
+ AC_LANG(Objective C)
+ PKG_PROG_PKG_CONFIG([])
+ AC_LANG_PUSH(C)
+@@ -129,7 +138,7 @@
+ fi
+
+ AC_SUBST(OBJC_RUNTIME_H)
+-
++AC_SUBST(OBJC)
+ CFLAGS="$saved_CFLAGS"
+ CPPFLAGS="$saved_CPPFLAGS"
+ LDFLAGS="$saved_LDFLAGS"
diff --git a/gnustep-libs/dbuskit/metadata.xml b/gnustep-libs/dbuskit/metadata.xml
new file mode 100644
index 00000000000..4858c3463a2
--- /dev/null
+++ b/gnustep-libs/dbuskit/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnustep</herd>
+ <longdescription>The DBusKit framework offers tight integration of D-Bus services into Objective-C applications. It handles all low-level details of communication with D-Bus daemons and the services connected to them and exposes an interface similar to Distributed Objects to make it easy for Objective-C programmers to access D-Bus services.</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/gsldap/Manifest b/gnustep-libs/gsldap/Manifest
new file mode 100644
index 00000000000..b7a7b2c7998
--- /dev/null
+++ b/gnustep-libs/gsldap/Manifest
@@ -0,0 +1 @@
+DIST gsldap-0.0.1_pre20070219.tar.gz 33275 RMD160 c81a50f8e6389f63966b971b37393404c2efd686 SHA1 9880200b5e2a67cf8527ebc5398ec44679d70fff SHA256 cecc31cff57cceee1d5ee22f37ab2844bc1c5ad8e8c6f7f5efefc957e4d83a0e
diff --git a/gnustep-libs/gsldap/gsldap-0.0.1_pre20070219.ebuild b/gnustep-libs/gsldap/gsldap-0.0.1_pre20070219.ebuild
new file mode 100644
index 00000000000..4a4e1d2568e
--- /dev/null
+++ b/gnustep-libs/gsldap/gsldap-0.0.1_pre20070219.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+inherit gnustep-2
+
+DESCRIPTION="GNUstep LDAP library for open ldap C libraries"
+HOMEPAGE="http://www.gnustep.org/"
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE=""
+
+DEPEND="net-nds/openldap"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e "s|#include <GNUstepBase/GSCategories.h>||" \
+ GSLDAPCom.h || die "GSCategories.h sed failed"
+}
diff --git a/gnustep-libs/gsldap/metadata.xml b/gnustep-libs/gsldap/metadata.xml
new file mode 100644
index 00000000000..1966891d2c5
--- /dev/null
+++ b/gnustep-libs/gsldap/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnustep</herd>
+ <longdescription>
+ gsldap is a library which use open ldap (www.openldap.org) C
+ libraries to provide an Objective-C interface to access LDAP
+ Servers
+ </longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/highlighterkit/Manifest b/gnustep-libs/highlighterkit/Manifest
new file mode 100644
index 00000000000..96cd7e791be
--- /dev/null
+++ b/gnustep-libs/highlighterkit/Manifest
@@ -0,0 +1,2 @@
+DIST HighlighterKit-0.1.2.tar.gz 54467 SHA256 94b72c43d16b0ff29849c3284a944b51fd42557a77230f2e375a8f2200d23e41
+DIST HighlighterKit-0.1.3.tar.gz 54952 SHA256 cae933c9e402352ae70e96cbe70a52dd504b5d8efd5910cc4c3ff35a29fba86c SHA512 3a6fbd8387ec545b7004b8ddb7e5210a1a6d324d584499b6c0e99f1f74a6cd453b9451aae59d6c4147c8aebb4556b500d1477d3a05211bc19aae5a64d9133e86 WHIRLPOOL 76f1057eb647912f7a04bd864482b41ce474ae0c972aedeeb27ec272df4d1915a9a4c2c9219c0b4c1304829764b175330b4893d52e3ff0eff9f129e4b4ff3c75
diff --git a/gnustep-libs/highlighterkit/highlighterkit-0.1.2.ebuild b/gnustep-libs/highlighterkit/highlighterkit-0.1.2.ebuild
new file mode 100644
index 00000000000..4fa94116bca
--- /dev/null
+++ b/gnustep-libs/highlighterkit/highlighterkit-0.1.2.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit gnustep-2
+
+MY_P="HighlighterKit-${PV}"
+
+DESCRIPTION="Syntax highlighter framework"
+HOMEPAGE="http://wiki.gnustep.org/index.php/HighlighterKit"
+SRC_URI="http://download.gna.org/gnustep-nonfsf/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+S="${WORKDIR}/${MY_P}"
diff --git a/gnustep-libs/highlighterkit/highlighterkit-0.1.3.ebuild b/gnustep-libs/highlighterkit/highlighterkit-0.1.3.ebuild
new file mode 100644
index 00000000000..bde7ca983bf
--- /dev/null
+++ b/gnustep-libs/highlighterkit/highlighterkit-0.1.3.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit gnustep-2
+
+MY_P="HighlighterKit-${PV}"
+
+DESCRIPTION="Syntax highlighter framework"
+HOMEPAGE="http://wiki.gnustep.org/index.php/HighlighterKit"
+SRC_URI="http://download.gna.org/gnustep-nonfsf/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+S="${WORKDIR}/${MY_P}"
diff --git a/gnustep-libs/highlighterkit/metadata.xml b/gnustep-libs/highlighterkit/metadata.xml
new file mode 100644
index 00000000000..9932f034706
--- /dev/null
+++ b/gnustep-libs/highlighterkit/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnustep</herd>
+ <longdescription>HighlighterKit is a framework to allow easy incorporation of syntax highlighting features into your application.</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/iconkit/Manifest b/gnustep-libs/iconkit/Manifest
new file mode 100644
index 00000000000..d865ae64a00
--- /dev/null
+++ b/gnustep-libs/iconkit/Manifest
@@ -0,0 +1 @@
+DIST etoile-0.4.1.tar.bz2 8281449 RMD160 f7965102a42e8616007baf89f4d11019aa12ef99 SHA1 b87af57c4a39aa939bee9ae883092bc86d942014 SHA256 2c9f189a0eae9dbc85589660a55faac498d05a056bf8148fa91f25455728cf25
diff --git a/gnustep-libs/iconkit/iconkit-0.4.1.ebuild b/gnustep-libs/iconkit/iconkit-0.4.1.ebuild
new file mode 100644
index 00000000000..3a2cc5ef841
--- /dev/null
+++ b/gnustep-libs/iconkit/iconkit-0.4.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit gnustep-2
+
+S="${WORKDIR}/Etoile-${PV}/Frameworks/IconKit"
+
+DESCRIPTION="framework used to create icons using different elements"
+HOMEPAGE="http://www.etoile-project.org"
+SRC_URI="http://download.gna.org/etoile/etoile-${PV}.tar.bz2"
+LICENSE="LGPL-2.1"
+KEYWORDS="amd64 ppc x86"
+SLOT="0"
+IUSE=""
+
+DEPEND="media-libs/libpng"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ unpack ${A}
+
+ cd "${WORKDIR}/Etoile-${PV}"
+ sed -i -e "s/-Werror//" etoile.make || die "sed failed"
+}
diff --git a/gnustep-libs/iconkit/metadata.xml b/gnustep-libs/iconkit/metadata.xml
new file mode 100644
index 00000000000..a06c9f6fded
--- /dev/null
+++ b/gnustep-libs/iconkit/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnustep</herd>
+<longdescription>
+A framework used to create icons using different elements
+</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/metadata.xml b/gnustep-libs/metadata.xml
new file mode 100644
index 00000000000..0cd2afaae61
--- /dev/null
+++ b/gnustep-libs/metadata.xml
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE catmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<catmetadata>
+ <longdescription lang="en">
+ The gnustep-libs category contains GNUstep libraries.
+ </longdescription>
+ <longdescription lang="de">
+ Die Kategorie gnustep-libs enthält Bibliotheken für die
+ GNUstep-Umgebung.
+ </longdescription>
+ <longdescription lang="es">
+ La categoría gnustep-libs contiene las librerías de GNUstep.
+ </longdescription>
+ <longdescription lang="ja">
+ gnustep-libsカテゴリーにはGNUstepライブラリが含まれています。
+ </longdescription>
+ <longdescription lang="nl">
+ De gnustep-libs categorie bevat GNUstep bibliotheken.
+ </longdescription>
+ <longdescription lang="vi">
+ Nhóm gnustep-libs chứa các thư viện GNUstep.
+ </longdescription>
+ <longdescription lang="it">
+ La categoria gnustep-libs contiene le librerie di GNUstep.
+ </longdescription>
+ <longdescription lang="pt">
+ A categoria gnustep-libs contém as bibliotecas de GNUstep.
+ </longdescription>
+ <longdescription lang="pl">
+ Kategoria gnustep-libs zawiera biblioteki GNUstep.
+ </longdescription>
+</catmetadata>
+
diff --git a/gnustep-libs/netclasses/Manifest b/gnustep-libs/netclasses/Manifest
new file mode 100644
index 00000000000..dd949a34e40
--- /dev/null
+++ b/gnustep-libs/netclasses/Manifest
@@ -0,0 +1 @@
+DIST netclasses-1.06.tar.bz2 101987 SHA256 6ef5879cd847da85e7a4dad9bfb74b08d41df60dc7fcbf01d689faad1aaced26
diff --git a/gnustep-libs/netclasses/metadata.xml b/gnustep-libs/netclasses/metadata.xml
new file mode 100644
index 00000000000..05362e16a19
--- /dev/null
+++ b/gnustep-libs/netclasses/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnustep</herd>
+ <longdescription>
+ netclasses is an asynchronous networking library that works on
+ OS X natively, and any of the multitude of platforms supported
+ by GNUstep. You've never seen an easier way to put together
+ network applications!
+ </longdescription>
+ <upstream>
+ <remote-id type="sourceforge">netclasses</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/gnustep-libs/netclasses/netclasses-1.06-r1.ebuild b/gnustep-libs/netclasses/netclasses-1.06-r1.ebuild
new file mode 100644
index 00000000000..11293476b9a
--- /dev/null
+++ b/gnustep-libs/netclasses/netclasses-1.06-r1.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit gnustep-2
+
+DESCRIPTION="An asynchronous networking library for GNUstep"
+HOMEPAGE="http://netclasses.aeruder.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+KEYWORDS="amd64 ppc x86"
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
diff --git a/gnustep-libs/pantomime/Manifest b/gnustep-libs/pantomime/Manifest
new file mode 100644
index 00000000000..a8ef697864d
--- /dev/null
+++ b/gnustep-libs/pantomime/Manifest
@@ -0,0 +1,2 @@
+DIST Pantomime-1.2.0.tar.gz 466206 SHA256 c6484634dd0611d07108e7e006a2c6bdbe3e72b23de7473440df9a559f6b6218
+DIST Pantomime-1.2.2.tar.gz 468276 SHA256 f87b6b362b56c2b22667e614432f222604e318e61340a13b30c8277b180a3be8 SHA512 198c1e0248f47bbd2cc284eec0d804959ea2a51e4a4810f8909048b41fc4bfbbaab9fc86e1ad507611a77382f353b357615c52845228e2411a0da7af88b2988f WHIRLPOOL 93895bcf5819e1d5e8cbc23b21e70e51574f320d25a234ae7cd51873d7da0e1df4b4d4bffcbdf1b8faa172044b8a63212f47ca0340b53247fd9250d4cb293b18
diff --git a/gnustep-libs/pantomime/metadata.xml b/gnustep-libs/pantomime/metadata.xml
new file mode 100644
index 00000000000..188fd7b76cb
--- /dev/null
+++ b/gnustep-libs/pantomime/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnustep</herd>
+<herd>proxy-maintainers</herd>
+<longdescription>
+A set of Objective-C classes that model a mail system.
+Author Ludovic Marcotte ludovic@Sophos.ca
+The name "Pantomime" was proposed by Jay Kominek.
+</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/pantomime/pantomime-1.2.0.ebuild b/gnustep-libs/pantomime/pantomime-1.2.0.ebuild
new file mode 100644
index 00000000000..7015ff5e5fd
--- /dev/null
+++ b/gnustep-libs/pantomime/pantomime-1.2.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils gnustep-2
+
+MY_P=${P/p/P}
+
+S=${WORKDIR}/${MY_P}
+
+DESCRIPTION="A set of Objective-C classes that model a mail system"
+HOMEPAGE="http://www.collaboration-world.com/pantomime/"
+SRC_URI="http://download.gna.org/gnustep-nonfsf/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1 Elm"
+KEYWORDS="amd64 ppc x86 ~x86-fbsd"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-libs/openssl"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e "s|ADDITIONAL_LDFLAGS|LIBRARIES_DEPEND_UPON|" \
+ Framework/Pantomime/GNUmakefile || die "as-needed sed failed"
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ cd "${S}"/Documentation
+ dodoc AUTHORS README TODO
+ docinto rfc
+ dodoc RFC/*
+}
diff --git a/gnustep-libs/pantomime/pantomime-1.2.2.ebuild b/gnustep-libs/pantomime/pantomime-1.2.2.ebuild
new file mode 100644
index 00000000000..3c0efecfe8c
--- /dev/null
+++ b/gnustep-libs/pantomime/pantomime-1.2.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils gnustep-2
+
+MY_P=${P/p/P}
+
+S=${WORKDIR}/${MY_P}
+
+DESCRIPTION="A set of Objective-C classes that model a mail system"
+HOMEPAGE="http://www.collaboration-world.com/pantomime/"
+SRC_URI="http://download.gna.org/gnustep-nonfsf/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1 Elm"
+KEYWORDS="amd64 ppc x86 ~x86-fbsd"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-libs/openssl"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e "s|ADDITIONAL_LDFLAGS|LIBRARIES_DEPEND_UPON|" \
+ Framework/Pantomime/GNUmakefile || die "as-needed sed failed"
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ cd "${S}"/Documentation
+ dodoc AUTHORS README TODO
+ docinto rfc
+ dodoc RFC/*
+}
diff --git a/gnustep-libs/performance/Manifest b/gnustep-libs/performance/Manifest
new file mode 100644
index 00000000000..31761711e41
--- /dev/null
+++ b/gnustep-libs/performance/Manifest
@@ -0,0 +1 @@
+DIST Performance-0.4.0.tar.gz 48527 SHA256 e55c1a8d9e6f1e3ba146490d1b0cf7b84e124410a50070ab3b27ecfc4aab6a1c SHA512 0c590508f2c58501969e8a1233663521274833d0915a671b1f81daf283770b0e98892e5ec447a07e0ede767b1c4f2bf2f2ac52bc6c48b413ff02085ced34a22c WHIRLPOOL 9b353d649fb7c280c370ed76d467b7dea1d70c6ed5dd265c56987744c0029a89cba1aebd17802e595cbd9338f6a36de62f97013df9eed211f4ebcfad18e06c9d
diff --git a/gnustep-libs/performance/metadata.xml b/gnustep-libs/performance/metadata.xml
new file mode 100644
index 00000000000..f35a090c8e6
--- /dev/null
+++ b/gnustep-libs/performance/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnustep</herd>
+ <longdescription>A collection of classes to help improve/tune performance of your software </longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/performance/performance-0.4.0.ebuild b/gnustep-libs/performance/performance-0.4.0.ebuild
new file mode 100644
index 00000000000..7cebee545dd
--- /dev/null
+++ b/gnustep-libs/performance/performance-0.4.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit gnustep-2
+
+MY_P=${P/p/P}
+DESCRIPTION="Help improve the performance of GNUstep applications"
+HOMEPAGE="http://wiki.gnustep.org/index.php/Performance"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/libs/${MY_P}.tar.gz"
+
+KEYWORDS="~amd64 ~ppc ~x86"
+LICENSE="LGPL-3"
+SLOT="0"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ if ! use doc; then
+ # Remove doc target
+ sed -i -e '/documentation\.make/d' GNUmakefile \
+ || die "doc sed failed"
+ fi
+}
diff --git a/gnustep-libs/prefsmodule/Manifest b/gnustep-libs/prefsmodule/Manifest
new file mode 100644
index 00000000000..de74d59e31d
--- /dev/null
+++ b/gnustep-libs/prefsmodule/Manifest
@@ -0,0 +1 @@
+DIST prefsmodule-1.1.1_pre20061204.tar.gz 3067 SHA256 a7f908fddb198e154bf86875642146be1158228d53de8382fa95b42e2bc5b0e3
diff --git a/gnustep-libs/prefsmodule/metadata.xml b/gnustep-libs/prefsmodule/metadata.xml
new file mode 100644
index 00000000000..7aa6d7b5fa8
--- /dev/null
+++ b/gnustep-libs/prefsmodule/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnustep</herd>
+<longdescription>
+Module framework for Preferences.app
+A modular GNUstep preferences editor
+</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/prefsmodule/prefsmodule-1.1.1_pre20061204-r1.ebuild b/gnustep-libs/prefsmodule/prefsmodule-1.1.1_pre20061204-r1.ebuild
new file mode 100644
index 00000000000..5c00970d576
--- /dev/null
+++ b/gnustep-libs/prefsmodule/prefsmodule-1.1.1_pre20061204-r1.ebuild
@@ -0,0 +1,15 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit gnustep-2
+
+S=${WORKDIR}/${PN/prefsm/PrefsM}
+
+DESCRIPTION="Preferences is the GNUstep program with which you define your own personal user experience"
+HOMEPAGE="http://www.nongnu.org/backbone/apps.html"
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="amd64 ppc x86"
+SLOT="0"
diff --git a/gnustep-libs/renaissance/Manifest b/gnustep-libs/renaissance/Manifest
new file mode 100644
index 00000000000..793c021f15f
--- /dev/null
+++ b/gnustep-libs/renaissance/Manifest
@@ -0,0 +1 @@
+DIST Renaissance-0.9.0.tar.gz 404888 RMD160 039ca153a1a4de7dbd584cde4528979759dcc427 SHA1 e40a2b67024d5444ae31ccc1fdb24f2325f2981f SHA256 5c2078d211dd9d9de48c8d26d3dde3f7fae18fadeac1ff4049e5996a29ce342b
diff --git a/gnustep-libs/renaissance/files/renaissance-0.8.1_pre20070522-docpath.patch b/gnustep-libs/renaissance/files/renaissance-0.8.1_pre20070522-docpath.patch
new file mode 100644
index 00000000000..df4f8c43ca1
--- /dev/null
+++ b/gnustep-libs/renaissance/files/renaissance-0.8.1_pre20070522-docpath.patch
@@ -0,0 +1,21 @@
+diff -Naur renaissance-0.8.1_pre20070522.orig/Documentation/GNUmakefile renaissance-0.8.1_pre20070522/Documentation/GNUmakefile
+--- renaissance-0.8.1_pre20070522.orig/Documentation/GNUmakefile 2007-10-17 14:32:41.000000000 +0200
++++ renaissance-0.8.1_pre20070522/Documentation/GNUmakefile 2007-10-17 14:33:18.000000000 +0200
+@@ -8,6 +8,7 @@
+ macros.tex \
+ autolayout.tex \
+ gsmarkup.tex
++manual_DOC_INSTALL_DIR = Developer/Renaissance
+
+ SUBPROJECTS = Tutorials
+
+diff -Naur renaissance-0.8.1_pre20070522.orig/Documentation/Tutorials/Renaissance/GNUmakefile renaissance-0.8.1_pre20070522/Documentation/Tutorials/Renaissance/GNUmakefile
+--- renaissance-0.8.1_pre20070522.orig/Documentation/Tutorials/Renaissance/GNUmakefile 2007-10-17 14:32:41.000000000 +0200
++++ renaissance-0.8.1_pre20070522/Documentation/Tutorials/Renaissance/GNUmakefile 2007-10-17 14:33:07.000000000 +0200
+@@ -3,5 +3,6 @@
+ DOCUMENT_NAME = Renaissance
+
+ Renaissance_LATEX_FILES = Renaissance.tex
++Renaissance_DOC_INSTALL_DIR = Developer/Renaissance
+
+ include $(GNUSTEP_MAKEFILES)/documentation.make
diff --git a/gnustep-libs/renaissance/metadata.xml b/gnustep-libs/renaissance/metadata.xml
new file mode 100644
index 00000000000..ff7f03c8ed9
--- /dev/null
+++ b/gnustep-libs/renaissance/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnustep</herd>
+<longdescription>
+Welcome to GNUstep Renaissance!
+
+GNUstep Renaissance is free software (GNU LGPL), and part of the
+GNUstep project. It is a development framework which runs on top of
+the GNUstep libraries. It also works on top of the Apple Mac OS X
+Cocoa libraries, providing an opaque layer to write portable
+applications.
+
+In short, GNUstep Renaissance allows you to describe your user
+interfaces (that is, the windows in your application, and the buttons,
+boxes, textfields, etc in the windows) in simple and intuitive XML
+files, using an open, standard format describing the logic of the
+interface. GNUstep Renaissance can then, at run time, generate the
+user interfaces (using the native host OpenStep-like libraries) by
+reading the XML files. The connections between the objects created
+from the XML files, and the other objects in the application are done
+via outlets (as traditionally in OpenStep); a new quick and intuitive
+syntax has been developed to make creating outlets as easy as
+possible.
+</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/renaissance/renaissance-0.9.0.ebuild b/gnustep-libs/renaissance/renaissance-0.9.0.ebuild
new file mode 100644
index 00000000000..262b639af86
--- /dev/null
+++ b/gnustep-libs/renaissance/renaissance-0.9.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit gnustep-2
+
+DESCRIPTION="GNUstep Renaissance allows to describe user interfaces XML files"
+HOMEPAGE="http://www.gnustep.it/Renaissance/index.html"
+SRC_URI="http://www.gnustep.it/Renaissance/Download/${P/r/R}.tar.gz"
+
+KEYWORDS="amd64 ppc x86"
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE=""
+
+S=${WORKDIR}/${P/r/R}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}"/${PN}-0.8.1_pre20070522-docpath.patch
+}
diff --git a/gnustep-libs/smbkit/Manifest b/gnustep-libs/smbkit/Manifest
new file mode 100644
index 00000000000..ddef2a627fd
--- /dev/null
+++ b/gnustep-libs/smbkit/Manifest
@@ -0,0 +1 @@
+DIST smbkit-0.0.1.20061010.tar.bz2 22614 SHA256 471966efed4de00357207978180c44bcf6fc42c7c3159dbfe37656bf2f3fdbf7
diff --git a/gnustep-libs/smbkit/metadata.xml b/gnustep-libs/smbkit/metadata.xml
new file mode 100644
index 00000000000..bec3d05b3b7
--- /dev/null
+++ b/gnustep-libs/smbkit/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnustep</herd>
+<longdescription>
+SMBKit offers a samba library and headers for GNUstep.
+</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/smbkit/smbkit-0.0.1.20061010.ebuild b/gnustep-libs/smbkit/smbkit-0.0.1.20061010.ebuild
new file mode 100644
index 00000000000..953b2051c8a
--- /dev/null
+++ b/gnustep-libs/smbkit/smbkit-0.0.1.20061010.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit gnustep-2
+
+DESCRIPTION="SMBKit offers a samba library and headers for GNUstep"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+
+KEYWORDS="amd64 ppc x86"
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+
+DEPEND="net-fs/samba"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}"
diff --git a/gnustep-libs/sqlclient/Manifest b/gnustep-libs/sqlclient/Manifest
new file mode 100644
index 00000000000..05a3d189a33
--- /dev/null
+++ b/gnustep-libs/sqlclient/Manifest
@@ -0,0 +1 @@
+DIST SQLClient-1.7.0.tar.gz 164218 SHA256 8f9c9491f774fce3bf369e407c8f22091c597baddc1a4b0bfe8ccb251bb79462 SHA512 cf4c9ec3bb60b57f4cc2673353029c77a0994c6912e9b5ee9bdab593b68663bde4a465cae6f39482c34fc0a5acff66ac2059be3644eb8db30a399c754e238809 WHIRLPOOL 153dd519969f437579ae3e24732c20c90fec5e141eddf746e4c55b35e7dadb388e4d0ae07b134ca0549e32f4cf6649d7ed1aa798e43498d57701dec664ae0cd0
diff --git a/gnustep-libs/sqlclient/metadata.xml b/gnustep-libs/sqlclient/metadata.xml
new file mode 100644
index 00000000000..530936af752
--- /dev/null
+++ b/gnustep-libs/sqlclient/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnustep</herd>
+ <longdescription>The SQLClient library is designed to provide a simple interface to SQL databases for GNUstep applications. It does not attempt the sort of abstraction provided by the much more sophisticated GDL2 library but rather allows applications to directly execute SQL queries and statements.
+
+SQLClient provides for the Objective-C programmer much the same thing that JDBC provides for the Java programmer (though SQLClient is a bit faster, easier to use, and easier to add new database backends for than JDBC).</longdescription>
+</pkgmetadata>
diff --git a/gnustep-libs/sqlclient/sqlclient-1.7.0.ebuild b/gnustep-libs/sqlclient/sqlclient-1.7.0.ebuild
new file mode 100644
index 00000000000..61c73ea9fb0
--- /dev/null
+++ b/gnustep-libs/sqlclient/sqlclient-1.7.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit java-pkg-opt-2 gnustep-2
+
+MY_P=${P/sqlc/SQLC}
+DESCRIPTION="GNUstep lightweight database abstraction layer"
+HOMEPAGE="http://wiki.gnustep.org/index.php/SQLClient"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/libs/${MY_P}.tar.gz"
+
+KEYWORDS="~amd64 ~ppc ~x86"
+LICENSE="LGPL-3"
+SLOT="0"
+
+IUSE="java mysql postgres +sqlite"
+
+RDEPEND=">=gnustep-libs/performance-0.3.2
+ mysql? ( virtual/mysql )
+ postgres? ( dev-db/postgresql )
+ sqlite? ( >=dev-db/sqlite-3 )"
+DEPEND="${RDEPEND}"
+
+REQUIRED_USE="|| ( java mysql postgres sqlite )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ if ! use doc; then
+ # Remove doc target
+ sed -i -e '/documentation\.make/d' GNUmakefile \
+ || die "doc sed failed"
+ fi
+}
+
+src_configure() {
+ local myconf=""
+ use java || myconf="${myconf} --disable-jdbc-bundle"
+ use mysql || myconf="${myconf} --disable-mysql-bundle"
+ use postgres || myconf="${myconf} --disable-postgres-bundle"
+ use sqlite || myconf="${myconf} --disable-sqllite-bundle"
+
+ egnustep_env
+ econf ${myconf}
+}